Bug 600523 - Sansa Clip MP3 player fails to mount in gnome; works perfect outside
Sansa Clip MP3 player fails to mount in gnome; works perfect outside
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 18:06 EDT by abrouwers
Modified: 2013-03-05 23:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from within gnome (1.03 KB, text/plain)
2010-06-04 18:06 EDT, abrouwers
no flags Details
dmesg outside of gnome (1.01 KB, text/plain)
2010-06-04 18:07 EDT, abrouwers
no flags Details

  None (edit)
Description abrouwers 2010-06-04 18:06:43 EDT
Created attachment 421363 [details]
dmesg from within gnome

Description of problem:

First, I'm not sure if gnome-mount is responsible for this event, so I apologize if I mis-placed this bug.

I own a Sansa Clip mp3 player, which works very nicely with linux as a
mass-storage device, allowing to drag and drop files with ease.  After
plugging it in under gnome 2.30, the device (with a small display) locks up at "Writing," and I am forced to reset it.  dmesg displays errors, almost as if the kernel/udev do not handle the device properly.  However, when I plug the device in outside of gnome, or with any other WM or DE, the device is completely usable and the association completes as expected (output for each event attached).

I've confirmed this behaviour in both Fedora 12 and 13, but when booting a Fedora 11 LiveCD, the MP3 player mounts as expected.

I've also confirmed that the same laptop/cable/mp3 player work great within
KDE, xfce, and a few window managers (and without being in x.org all-together).

How reproducible:

Always

Steps to Reproduce:
1.  Plug Sansa Clip (1gb) in under gnome.
2. 
3.
  

Expected results:

MP3 player mounts and is accessible under gnome.
Comment 1 abrouwers 2010-06-04 18:07:05 EDT
Created attachment 421364 [details]
dmesg outside of gnome
Comment 2 abrouwers 2010-07-16 08:21:44 EDT
OK, with the help of David, I've figured out exactly what the problem is - gvfs-gphoto2.  For some reason, gvfs is declaring my Sansa clip as a camera device (some nice output here:  https://bugs.freedesktop.org/show_bug.cgi?id=29030 )

So, even after I hack a udev rule to set ID_GPHOTO=0, gvfs is *still* making a quick call to libgphoto somehow, and crashing gvfs-gphoto2 (or, seemingly removing usb-massstorage temporarily).  If I kill the gvfs-gphoto2 process and chmod a-x to it in /usr/libexec, plugging my MP3 device works perfectly.

I've contributed to an upstream bug report for gvfs, but it seems quite dead and inactive:

https://bugzilla.gnome.org/show_bug.cgi?id=586778
Comment 3 Bug Zapper 2011-06-02 08:00:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:33:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.